class MiClaseSimulada {
	funcionSimulada(): number {
		return 5;
	}
}

it("deberia devolver un valor simulado", () => {
	let miClaseSimulada = new MiClaseSimulada();
	jest.spyOn(miClaseSimulada, "funcionSimulada")
		.mockImplementation((): number => {
			return 10;
		});
	expect(miClaseSimulada.funcionSimulada()).toEqual(10);
});
